Skip to main content
POST
/
2
/
media
/
metadata
Create Media metadata
curl --request POST \
  --url https://api.x.com/2/media/metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "1146654567674912769",
  "metadata": {
    "allow_download_status": {
      "allow_download": true
    },
    "audience_policy": {
      "creator_subscriptions": [
        "Any"
      ],
      "x_subscriptions": [
        "Any"
      ]
    },
    "geo_restrictions": {
      "blacklisted_country_codes": [
        "us"
      ],
      "whitelisted_country_codes": [
        "us"
      ]
    },
    "sensitive_media_warning": {
      "adult_content": true,
      "graphic_violence": true,
      "other": false
    }
  }
}
'
{
  "data": {
    "associated_metadata": {
      "allow_download_status": {
        "allow_download": true
      },
      "audience_policy": {
        "creator_subscriptions": [
          "Any"
        ],
        "x_subscriptions": [
          "Any"
        ]
      },
      "geo_restrictions": {
        "blacklisted_country_codes": [
          "us"
        ],
        "whitelisted_country_codes": [
          "us"
        ]
      },
      "sensitive_media_warning": {
        "adult_content": true,
        "graphic_violence": true,
        "other": false
      }
    },
    "id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
id
string
required

The unique identifier of this Media.

Pattern: ^[0-9]{1,19}$
Example:

"1146654567674912769"

metadata
object

Response

The request has succeeded.

data
object
errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).